Xerces 3.1.1 API: Interface HTMLAnchorElement

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLAnchorElement

All Known Implementing Classes:
  HTMLAnchorElementImpl

public interface HTMLAnchorElement
extends HTMLElement

The anchor element. See the A element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` | `getCharset()` The character encoding of the linked resource.
`java.lang.String` | `getCoords()` Comma-separated list of lengths, defining an active region geometry.
`java.lang.String` | `getHref()` The URI of the linked resource.
`java.lang.String` | `getHreflang()` Language code of the linked resource.
`java.lang.String` | `getName()` Anchor name.
`java.lang.String` | `getRel()` Forward link type.
`java.lang.String` | `getRev()` Reverse link type.
`java.lang.String` | `getShape()` The shape of the active area.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`java.lang.String` | `getType()` Advisory content type.
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setCharset(java.lang.String charset)`
`void` | `setCoords(java.lang.String coords)`
`void` | `setHref(java.lang.String href)`
`void` | `setHreflang(java.lang.String hreflang)`
`void` | `setName(java.lang.String name)`
`void` | `setRel(java.lang.String rel)`
`void` | `setRev(java.lang.String rev)`
`void` | `setShape(java.lang.String shape)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setTarget(java.lang.String target)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAccessKey

    public java.lang.String getAccessKey()

  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

### getCharset

    public java.lang.String getCharset()

  The character encoding of the linked resource. See the charset attribute definition in HTML 4.0.

### setCharset

    public void setCharset(java.lang.String charset)

### getCoords

    public java.lang.String getCoords()

  Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0.

### setCoords

    public void setCoords(java.lang.String coords)

### getHref

    public java.lang.String getHref()

  The URI of the linked resource. See the href attribute definition in HTML 4.0.

### setHref

    public void setHref(java.lang.String href)

### getHreflang

    public java.lang.String getHreflang()

  Language code of the linked resource. See the hreflang attribute definition in HTML 4.0.

### setHreflang

    public void setHreflang(java.lang.String hreflang)

### getName

    public java.lang.String getName()

  Anchor name. See the name attribute definition in HTML 4.0.

### setName

    public void setName(java.lang.String name)

### getRel

    public java.lang.String getRel()

  Forward link type. See the rel attribute definition in HTML 4.0.

### setRel

    public void setRel(java.lang.String rel)

### getRev

    public java.lang.String getRev()

  Reverse link type. See the rev attribute definition in HTML 4.0.

### setRev

    public void setRev(java.lang.String rev)

### getShape

    public java.lang.String getShape()

  The shape of the active area. The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0.

### setShape

    public void setShape(java.lang.String shape)

### getTabIndex

    public int getTabIndex()

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

### setTabIndex

    public void setTabIndex(int tabIndex)

### getTarget

    public java.lang.String getTarget()

  Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

    public void setTarget(java.lang.String target)

### getType

    public java.lang.String getType()

  Advisory content type. See the type attribute definition in HTML 4.0.

### setType

    public void setType(java.lang.String type)

### blur

    public void blur()

  Removes keyboard focus from this element.

### focus

    public void focus()

  Gives keyboard focus to this element.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD